Bug 1957308

Summary: Customer tags cannot be seen in S3 level when set spec.managementState from Managed-> Removed-> Managed in configs.imageregistry with high ratio
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Image RegistryAssignee: Ricardo Maraschini <rmarasch>
Status: CLOSED ERRATA QA Contact: Wenjing Zheng <wzheng>
Severity: medium Docs Contact:
Priority: high    
Version: 4.8CC: aos-bugs, rmarasch, wzheng
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: Bucket tags were being overwritten during a subsequent operator sync cycle. Consequence: Bucket was loosing user provided tags. Fix: A patch was placed making the operator to start to respect spec.storage.managementState when setting the tags. This way users can now clearly inform their intention on who/what is managing the remote storage (aws bucket on this case). Result: User provided tags are always set in the bucket if user sets spec.storage.managementState to "Managed".
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-15 09:27:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1955879    
Bug Blocks:    

Comment 1 Ricardo Maraschini 2021-05-06 09:18:47 UTC
*** Bug 1956766 has been marked as a duplicate of this bug. ***

Comment 2 Wenjing Zheng 2021-05-07 04:52:42 UTC
QE tested with the open PR by launch 4 clusters, cannot reproduce this issue now.

Comment 3 Ricardo Maraschini 2021-05-07 08:21:47 UTC
*** Bug 1955176 has been marked as a duplicate of this bug. ***

Comment 6 Siddharth Sharma 2021-06-04 18:39:17 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 10 errata-xmlrpc 2021-06-15 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286